import { SvgIconProps } from "../../app/types/types";


export function BackArrowIcon(props: SvgIconProps) {
  return (
    <svg width="22" height="22" viewBox="0 0 22 22" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <g clipPath="url(#clip0_3379_65665)">
        <path
          d="M9.854 4.85863L4.4 10.3586C4.31116 10.4402 4.24024 10.5394 4.19173 10.6498C4.14322 10.7602 4.11816 10.8795 4.11816 11.0001C4.11816 11.1207 4.14322 11.24 4.19173 11.3505C4.24024 11.4609 4.31116 11.56 4.4 11.6416L9.854 17.1416C10.0164 17.3005 10.2297 17.3969 10.4562 17.4137C10.6827 17.4306 10.9079 17.3668 11.092 17.2336C11.2025 17.1594 11.2944 17.0609 11.3609 16.9457C11.4274 16.8304 11.4666 16.7015 11.4754 16.5687C11.4843 16.436 11.4627 16.3029 11.4122 16.1798C11.3616 16.0567 11.2836 15.9469 11.184 15.8586L7.242 11.9166H16.959C17.1968 11.9088 17.4223 11.8088 17.5878 11.6378C17.7532 11.4667 17.8457 11.2381 17.8457 11.0001C17.8457 10.7622 17.7532 10.5335 17.5878 10.3625C17.4223 10.1915 17.1968 10.0915 16.959 10.0836H7.241L11.183 6.14163C11.2826 6.05339 11.3606 5.94352 11.4112 5.82043C11.4617 5.69734 11.4833 5.56431 11.4744 5.43155C11.4656 5.29879 11.4264 5.16984 11.3599 5.05457C11.2934 4.93931 11.2015 4.84081 11.091 4.76663C10.9071 4.63356 10.6821 4.5698 10.4557 4.58664C10.2293 4.60347 10.0162 4.69982 9.854 4.85863Z"
          fill="#251138"
        />
      </g>
      <defs>
        <clipPath id="clip0_3379_65665">
          <rect width="22" height="22" fill="white" />
        </clipPath>
      </defs>
    </svg>
  )
}
